org.eclipse.viatra.cep.core.metamodels.automaton

## Interface AutomatonPackage.Literals

- Enclosing interface:
    AutomatonPackage

      public static interface AutomatonPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `AUTOMATON` The meta object literal for the '`Automaton`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `AUTOMATON__EVENT_PATTERN_ID` The meta object literal for the 'Event Pattern Id' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `AUTOMATON__EVENT_TOKENS` The meta object literal for the 'Event Tokens' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `AUTOMATON__FINAL_STATES` The meta object literal for the 'Final States' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `AUTOMATON__INITIAL_STATE` The meta object literal for the 'Initial State' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `AUTOMATON__STATES` The meta object literal for the 'States' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `AUTOMATON__TIMED_ZONES` The meta object literal for the 'Timed Zones' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `AUTOMATON__TRAP_STATE` The meta object literal for the 'Trap State' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `EPSILON_TRANSITION` The meta object literal for the '`Epsilon Transition`' class.
    `static org.eclipse.emf.ecore.EEnum` | `EVENT_CONTEXT` The meta object literal for the '`Event Context`' enum.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_TOKEN` The meta object literal for the '`Event Token`' class.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_TOKEN__CURRENT_STATE` The meta object literal for the 'Current State' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_TOKEN__LAST_PROCESSED` The meta object literal for the 'Last Processed' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_TOKEN__PARAMETER_TABLE` The meta object literal for the 'Parameter Table' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_TOKEN__RECORDED_EVENTS` The meta object literal for the 'Recorded Events' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_TOKEN__TIMED_ZONES` The meta object literal for the 'Timed Zones' reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `FINAL_STATE` The meta object literal for the '`Final State`' class.
    `static org.eclipse.emf.ecore.EClass` | `GUARD` The meta object literal for the '`Guard`' class.
    `static org.eclipse.emf.ecore.EReference` | `GUARD__EVENT_TYPE` The meta object literal for the 'Event Type' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `GUARD__TRANSITION` The meta object literal for the 'Transition' container reference feature.
    `static org.eclipse.emf.ecore.EClass` | `HOLDS_FOR` The meta object literal for the '`Holds For`' class.
    `static org.eclipse.emf.ecore.EClass` | `INIT_STATE` The meta object literal for the '`Init State`' class.
    `static org.eclipse.emf.ecore.EClass` | `INTERNAL_MODEL` The meta object literal for the '`Internal Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `INTERNAL_MODEL__AUTOMATA` The meta object literal for the 'Automata' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT` The meta object literal for the 'Enabled For The Latest Event' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL` The meta object literal for the 'Event Tokens In Model' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `INTERNAL_MODEL__LATEST_EVENT` The meta object literal for the 'Latest Event' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `NEGATIVE_TRANSITION` The meta object literal for the '`Negative Transition`' class.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER` The meta object literal for the '`Parameter`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PARAMETER__POSITION` The meta object literal for the 'Position' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PARAMETER__SYMBOLIC_NAME` The meta object literal for the 'Symbolic Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER__TRANSITION` The meta object literal for the 'Transition' container reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_BINDING` The meta object literal for the '`Parameter Binding`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_BINDING__PARAMETER_TABLE` The meta object literal for the 'Parameter Table' container reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PARAMETER_BINDING__SYMBOLIC_NAME` The meta object literal for the 'Symbolic Name' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PARAMETER_BINDING__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_TABLE` The meta object literal for the '`Parameter Table`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_TABLE__EVENT_TOKEN` The meta object literal for the 'Event Token' container reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_TABLE__PARAMETER_BINDINGS` The meta object literal for the 'Parameter Bindings' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `STATE` The meta object literal for the '`State`' class.
    `static org.eclipse.emf.ecore.EReference` | `STATE__EVENT_TOKENS` The meta object literal for the 'Event Tokens' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `STATE__IN_STATE_OF` The meta object literal for the 'In State Of' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `STATE__IN_TRANSITIONS` The meta object literal for the 'In Transitions' reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `STATE__LABEL` The meta object literal for the 'Label' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `STATE__LAST_PROCESSED_EVENT` The meta object literal for the 'Last Processed Event' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `STATE__OUT_STATE_OF` The meta object literal for the 'Out State Of' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `STATE__OUT_TRANSITIONS` The meta object literal for the 'Out Transitions' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TIMED_ZONE` The meta object literal for the '`Timed Zone`' class.
    `static org.eclipse.emf.ecore.EReference` | `TIMED_ZONE__IN_STATE` The meta object literal for the 'In State' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TIMED_ZONE__OUT_STATE` The meta object literal for the 'Out State' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TIMED_ZONE__TIME` The meta object literal for the 'Time' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TRANSITION` The meta object literal for the '`Transition`' class.
    `static org.eclipse.emf.ecore.EReference` | `TRANSITION__POST_STATE` The meta object literal for the 'Post State' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TRANSITION__PRE_STATE` The meta object literal for the 'Pre State' container reference feature.
    `static org.eclipse.emf.ecore.EClass` | `TRAP_STATE` The meta object literal for the '`Trap State`' class.
    `static org.eclipse.emf.ecore.EClass` | `TYPED_TRANSITION` The meta object literal for the '`Typed Transition`' class.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_TRANSITION__GUARDS` The meta object literal for the 'Guards' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_TRANSITION__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `WITHIN` The meta object literal for the '`Within`' class.

- - ### Field Detail

    - #### INTERNAL_MODEL

          static final org.eclipse.emf.ecore.EClass INTERNAL_MODEL

      The meta object literal for the '`Internal Model`' class.
      See Also:
        `InternalModelImpl`, `AutomatonPackageImpl.getInternalModel()`
      Generated:

    - #### INTERNAL_MODEL__AUTOMATA

          static final org.eclipse.emf.ecore.EReference INTERNAL_MODEL__AUTOMATA

      The meta object literal for the 'Automata' containment reference list feature.
      Generated:

    - #### INTERNAL_MODEL__LATEST_EVENT

          static final org.eclipse.emf.ecore.EReference INTERNAL_MODEL__LATEST_EVENT

      The meta object literal for the 'Latest Event' containment reference feature.
      Generated:

    - #### INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT

          static final org.eclipse.emf.ecore.EReference INTERNAL_MODEL__ENABLED_FOR_THE_LATEST_EVENT

      The meta object literal for the 'Enabled For The Latest Event' reference list feature.
      Generated:

    - #### INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL

          static final org.eclipse.emf.ecore.EReference INTERNAL_MODEL__EVENT_TOKENS_IN_MODEL

      The meta object literal for the 'Event Tokens In Model' reference list feature.
      Generated:

    - #### AUTOMATON

          static final org.eclipse.emf.ecore.EClass AUTOMATON

      The meta object literal for the '`Automaton`' class.
      See Also:
        `AutomatonImpl`, `AutomatonPackageImpl.getAutomaton()`
      Generated:

    - #### AUTOMATON__STATES

          static final org.eclipse.emf.ecore.EReference AUTOMATON__STATES

      The meta object literal for the 'States' containment reference list feature.
      Generated:

    - #### AUTOMATON__EVENT_PATTERN_ID

          static final org.eclipse.emf.ecore.EAttribute AUTOMATON__EVENT_PATTERN_ID

      The meta object literal for the 'Event Pattern Id' attribute feature.
      Generated:

    - #### AUTOMATON__EVENT_TOKENS

          static final org.eclipse.emf.ecore.EReference AUTOMATON__EVENT_TOKENS

      The meta object literal for the 'Event Tokens' containment reference list feature.
      Generated:

    - #### AUTOMATON__TIMED_ZONES

          static final org.eclipse.emf.ecore.EReference AUTOMATON__TIMED_ZONES

      The meta object literal for the 'Timed Zones' containment reference list feature.
      Generated:

    - #### AUTOMATON__INITIAL_STATE

          static final org.eclipse.emf.ecore.EReference AUTOMATON__INITIAL_STATE

      The meta object literal for the 'Initial State' reference feature.
      Generated:

    - #### AUTOMATON__FINAL_STATES

          static final org.eclipse.emf.ecore.EReference AUTOMATON__FINAL_STATES

      The meta object literal for the 'Final States' reference list feature.
      Generated:

    - #### AUTOMATON__TRAP_STATE

          static final org.eclipse.emf.ecore.EReference AUTOMATON__TRAP_STATE

      The meta object literal for the 'Trap State' reference feature.
      Generated:

    - #### EVENT_TOKEN

          static final org.eclipse.emf.ecore.EClass EVENT_TOKEN

      The meta object literal for the '`Event Token`' class.
      See Also:
        `EventTokenImpl`, `AutomatonPackageImpl.getEventToken()`
      Generated:

    - #### EVENT_TOKEN__CURRENT_STATE

          static final org.eclipse.emf.ecore.EReference EVENT_TOKEN__CURRENT_STATE

      The meta object literal for the 'Current State' reference feature.
      Generated:

    - #### EVENT_TOKEN__RECORDED_EVENTS

          static final org.eclipse.emf.ecore.EReference EVENT_TOKEN__RECORDED_EVENTS

      The meta object literal for the 'Recorded Events' reference list feature.
      Generated:

    - #### EVENT_TOKEN__LAST_PROCESSED

          static final org.eclipse.emf.ecore.EReference EVENT_TOKEN__LAST_PROCESSED

      The meta object literal for the 'Last Processed' reference feature.
      Generated:

    - #### EVENT_TOKEN__TIMED_ZONES

          static final org.eclipse.emf.ecore.EReference EVENT_TOKEN__TIMED_ZONES

      The meta object literal for the 'Timed Zones' reference list feature.
      Generated:

    - #### EVENT_TOKEN__PARAMETER_TABLE

          static final org.eclipse.emf.ecore.EReference EVENT_TOKEN__PARAMETER_TABLE

      The meta object literal for the 'Parameter Table' containment reference feature.
      Generated:

    - #### STATE

          static final org.eclipse.emf.ecore.EClass STATE

      The meta object literal for the '`State`' class.
      See Also:
        `StateImpl`, `AutomatonPackageImpl.getState()`
      Generated:

    - #### STATE__IN_TRANSITIONS

          static final org.eclipse.emf.ecore.EReference STATE__IN_TRANSITIONS

      The meta object literal for the 'In Transitions' reference list feature.
      Generated:

    - #### STATE__OUT_TRANSITIONS

          static final org.eclipse.emf.ecore.EReference STATE__OUT_TRANSITIONS

      The meta object literal for the 'Out Transitions' containment reference list feature.
      Generated:

    - #### STATE__LABEL

          static final org.eclipse.emf.ecore.EAttribute STATE__LABEL

      The meta object literal for the 'Label' attribute feature.
      Generated:

    - #### STATE__EVENT_TOKENS

          static final org.eclipse.emf.ecore.EReference STATE__EVENT_TOKENS

      The meta object literal for the 'Event Tokens' reference list feature.
      Generated:

    - #### STATE__LAST_PROCESSED_EVENT

          static final org.eclipse.emf.ecore.EReference STATE__LAST_PROCESSED_EVENT

      The meta object literal for the 'Last Processed Event' reference feature.
      Generated:

    - #### STATE__IN_STATE_OF

          static final org.eclipse.emf.ecore.EReference STATE__IN_STATE_OF

      The meta object literal for the 'In State Of' reference list feature.
      Generated:

    - #### STATE__OUT_STATE_OF

          static final org.eclipse.emf.ecore.EReference STATE__OUT_STATE_OF

      The meta object literal for the 'Out State Of' reference list feature.
      Generated:

    - #### INIT_STATE

          static final org.eclipse.emf.ecore.EClass INIT_STATE

      The meta object literal for the '`Init State`' class.
      See Also:
        `InitStateImpl`, `AutomatonPackageImpl.getInitState()`
      Generated:

    - #### FINAL_STATE

          static final org.eclipse.emf.ecore.EClass FINAL_STATE

      The meta object literal for the '`Final State`' class.
      See Also:
        `FinalStateImpl`, `AutomatonPackageImpl.getFinalState()`
      Generated:

    - #### TRAP_STATE

          static final org.eclipse.emf.ecore.EClass TRAP_STATE

      The meta object literal for the '`Trap State`' class.
      See Also:
        `TrapStateImpl`, `AutomatonPackageImpl.getTrapState()`
      Generated:

    - #### TRANSITION

          static final org.eclipse.emf.ecore.EClass TRANSITION

      The meta object literal for the '`Transition`' class.
      See Also:
        `TransitionImpl`, `AutomatonPackageImpl.getTransition()`
      Generated:

    - #### TRANSITION__PRE_STATE

          static final org.eclipse.emf.ecore.EReference TRANSITION__PRE_STATE

      The meta object literal for the 'Pre State' container reference feature.
      Generated:

    - #### TRANSITION__POST_STATE

          static final org.eclipse.emf.ecore.EReference TRANSITION__POST_STATE

      The meta object literal for the 'Post State' reference feature.
      Generated:

    - #### TYPED_TRANSITION

          static final org.eclipse.emf.ecore.EClass TYPED_TRANSITION

      The meta object literal for the '`Typed Transition`' class.
      See Also:
        `TypedTransitionImpl`, `AutomatonPackageImpl.getTypedTransition()`
      Generated:

    - #### TYPED_TRANSITION__GUARDS

          static final org.eclipse.emf.ecore.EReference TYPED_TRANSITION__GUARDS

      The meta object literal for the 'Guards' containment reference list feature.
      Generated:

    - #### TYPED_TRANSITION__PARAMETERS

          static final org.eclipse.emf.ecore.EReference TYPED_TRANSITION__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### NEGATIVE_TRANSITION

          static final org.eclipse.emf.ecore.EClass NEGATIVE_TRANSITION

      The meta object literal for the '`Negative Transition`' class.
      See Also:
        `NegativeTransitionImpl`, `AutomatonPackageImpl.getNegativeTransition()`
      Generated:

    - #### EPSILON_TRANSITION

          static final org.eclipse.emf.ecore.EClass EPSILON_TRANSITION

      The meta object literal for the '`Epsilon Transition`' class.
      See Also:
        `EpsilonTransitionImpl`, `AutomatonPackageImpl.getEpsilonTransition()`
      Generated:

    - #### GUARD

          static final org.eclipse.emf.ecore.EClass GUARD

      The meta object literal for the '`Guard`' class.
      See Also:
        `GuardImpl`, `AutomatonPackageImpl.getGuard()`
      Generated:

    - #### GUARD__EVENT_TYPE

          static final org.eclipse.emf.ecore.EReference GUARD__EVENT_TYPE

      The meta object literal for the 'Event Type' reference feature.
      Generated:

    - #### GUARD__TRANSITION

          static final org.eclipse.emf.ecore.EReference GUARD__TRANSITION

      The meta object literal for the 'Transition' container reference feature.
      Generated:

    - #### TIMED_ZONE

          static final org.eclipse.emf.ecore.EClass TIMED_ZONE

      The meta object literal for the '`Timed Zone`' class.
      See Also:
        `TimedZoneImpl`, `AutomatonPackageImpl.getTimedZone()`
      Generated:

    - #### TIMED_ZONE__IN_STATE

          static final org.eclipse.emf.ecore.EReference TIMED_ZONE__IN_STATE

      The meta object literal for the 'In State' reference feature.
      Generated:

    - #### TIMED_ZONE__OUT_STATE

          static final org.eclipse.emf.ecore.EReference TIMED_ZONE__OUT_STATE

      The meta object literal for the 'Out State' reference feature.
      Generated:

    - #### TIMED_ZONE__TIME

          static final org.eclipse.emf.ecore.EAttribute TIMED_ZONE__TIME

      The meta object literal for the 'Time' attribute feature.
      Generated:

    - #### WITHIN

          static final org.eclipse.emf.ecore.EClass WITHIN

      The meta object literal for the '`Within`' class.
      See Also:
        `WithinImpl`, `AutomatonPackageImpl.getWithin()`
      Generated:

    - #### HOLDS_FOR

          static final org.eclipse.emf.ecore.EClass HOLDS_FOR

      The meta object literal for the '`Holds For`' class.
      See Also:
        `HoldsForImpl`, `AutomatonPackageImpl.getHoldsFor()`
      Generated:

    - #### PARAMETER

          static final org.eclipse.emf.ecore.EClass PARAMETER

      The meta object literal for the '`Parameter`' class.
      See Also:
        `ParameterImpl`, `AutomatonPackageImpl.getParameter()`
      Generated:

    - #### PARAMETER__POSITION

          static final org.eclipse.emf.ecore.EAttribute PARAMETER__POSITION

      The meta object literal for the 'Position' attribute feature.
      Generated:

    - #### PARAMETER__SYMBOLIC_NAME

          static final org.eclipse.emf.ecore.EAttribute PARAMETER__SYMBOLIC_NAME

      The meta object literal for the 'Symbolic Name' attribute feature.
      Generated:

    - #### PARAMETER__TRANSITION

          static final org.eclipse.emf.ecore.EReference PARAMETER__TRANSITION

      The meta object literal for the 'Transition' container reference feature.
      Generated:

    - #### PARAMETER_TABLE

          static final org.eclipse.emf.ecore.EClass PARAMETER_TABLE

      The meta object literal for the '`Parameter Table`' class.
      See Also:
        `ParameterTableImpl`, `AutomatonPackageImpl.getParameterTable()`
      Generated:

    - #### PARAMETER_TABLE__PARAMETER_BINDINGS

          static final org.eclipse.emf.ecore.EReference PARAMETER_TABLE__PARAMETER_BINDINGS

      The meta object literal for the 'Parameter Bindings' containment reference list feature.
      Generated:

    - #### PARAMETER_TABLE__EVENT_TOKEN

          static final org.eclipse.emf.ecore.EReference PARAMETER_TABLE__EVENT_TOKEN

      The meta object literal for the 'Event Token' container reference feature.
      Generated:

    - #### PARAMETER_BINDING

          static final org.eclipse.emf.ecore.EClass PARAMETER_BINDING

      The meta object literal for the '`Parameter Binding`' class.
      See Also:
        `ParameterBindingImpl`, `AutomatonPackageImpl.getParameterBinding()`
      Generated:

    - #### PARAMETER_BINDING__SYMBOLIC_NAME

          static final org.eclipse.emf.ecore.EAttribute PARAMETER_BINDING__SYMBOLIC_NAME

      The meta object literal for the 'Symbolic Name' attribute feature.
      Generated:

    - #### PARAMETER_BINDING__VALUE

          static final org.eclipse.emf.ecore.EAttribute PARAMETER_BINDING__VALUE

      The meta object literal for the 'Value' attribute feature.
      Generated:

    - #### PARAMETER_BINDING__PARAMETER_TABLE

          static final org.eclipse.emf.ecore.EReference PARAMETER_BINDING__PARAMETER_TABLE

      The meta object literal for the 'Parameter Table' container reference feature.
      Generated:

    - #### EVENT_CONTEXT

          static final org.eclipse.emf.ecore.EEnum EVENT_CONTEXT

      The meta object literal for the '`Event Context`' enum.
      See Also:
        `EventContext`, `AutomatonPackageImpl.getEventContext()`
      Generated: